#
# System properties as determined by Autoconf.
#
# autoconf.mk.  Generated from autoconf.mk.in by configure.
#
prefix		:= /home/gwern/bin
exec_prefix	:= ${prefix}
bindir		:= ${exec_prefix}/bin
sbindir		:= ${exec_prefix}/sbin
datarootdir	:= ${prefix}/share
mandir		:= ${datarootdir}/man
datadir		:= ${datarootdir}
sysconfdir	:= ${prefix}/etc
libexecdir	:= ${exec_prefix}/libexec
PACKAGE_TARNAME := darcs
docdir		:= ${datarootdir}/doc/${PACKAGE_TARNAME}

DARCS_VERSION	:= 2.0.2
DEFS		:= -DPACKAGE_NAME=\"darcs\" -DPACKAGE_TARNAME=\"darcs\" -DPACKAGE_VERSION=\"2.0.2\" -DPACKAGE_STRING=\"darcs\ 2.0.2\" -DPACKAGE_BUGREPORT=\"bugs@darcs.net\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_HTTP=1 -DHAVE_LIBCURL=1
CPPFLAGS	:=  -DHAVE_BYTESTRING -DHAVE_CURL -DCURL_MULTI_TIMEOUT -DHAVE_CURSES -DPACKAGE_NAME=\"darcs\" -DPACKAGE_TARNAME=\"darcs\" -DPACKAGE_VERSION=\"2.0.2\" -DPACKAGE_STRING=\"darcs\ 2.0.2\" -DPACKAGE_BUGREPORT=\"bugs@darcs.net\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_HTTP=1 -DHAVE_LIBCURL=1
CFLAGS		:=  -O2 
OPTCCFLAGS      := $(addprefix -optc,$(CFLAGS) $(CPPFLAGS)) $(addprefix -opta,$(CFLAGS))
LDFLAGS		:= 
OPTLLDFLAGS     := $(addprefix -optl,$(LDFLAGS))
LIBS            := -lcurses  -lz -lcurl -lgssapi_krb5
OPTLLIBS        := $(filter-out -%,$(LIBS)) $(addprefix -optl,$(filter -%,$(LIBS)))
GHCFLAGS	:=  -threaded -package regex-compat -package HTTP -package QuickCheck -package html -O2 -funbox-strict-fields  -DHAVE_BYTESTRING -DHAVE_CURL -DCURL_MULTI_TIMEOUT -DHAVE_CURSES -DPACKAGE_NAME=\"darcs\" -DPACKAGE_TARNAME=\"darcs\" -DPACKAGE_VERSION=\"2.0.2\" -DPACKAGE_STRING=\"darcs\ 2.0.2\" -DPACKAGE_BUGREPORT=\"bugs@darcs.net\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_HTTP=1 -DHAVE_LIBCURL=1
USE_GNULIBSHA1  := @USE_GNULIBSHA1@
HAVE_HTTP       := True
HAVE_CURSES     := True
HAVE_LIBCURL    := @HAVE_LIBCURL@
HAVE_LIBWWW     := @HAVE_LIBWWW@
HAVE_MAPI       := False
HAVE_TERMIO_H   := @HAVE_TERMIO_H@
SYS             := other
WXFLAGS		:= @WXFLAGS@

GHC		:= ghc
INSTALL		:= /usr/bin/install -c
INSTALL_DATA   	:= ${INSTALL} -m 644
LATEX		:= latex
PDFLATEX	:= pdflatex
DVIPS		:= dvips
MAKEMANUAL      := latex2html -split +1 -dir doc/manual src/darcs.tex
PREPROCHTML	:= --html
MAKENSIS	:= 
HADDOCK_VERSION := 2

all : config darcs doc/darcs.1 AUTHORS ChangeLog doc/manual/darcs.ps doc/manual/darcs.pdf doc/manual/patch-theory.pdf doc/manual/index.html microbench

install: all installbin installdocs

ifeq ('yes', 'yes')
release/STATE src/ThisVersion.lhs doc/index.html: _darcs/hashed_inventory src/ThisVersion.lhs.in \
				release/determine_release_state.pl \
                                doc/index.html.in config.status
	perl release/determine_release_state.pl $(DARCS_VERSION) > release/STATE
src/Context.hs: _darcs/hashed_inventory stringify config.command
	PATH=".:$$PATH" darcs changes --context | cat config.command - \
		| ./stringify Context context > $@
else
src/ThisVersion.lhs doc/index.html: release/STATE src/ThisVersion.lhs.in \
				release/determine_release_state.pl \
                                doc/index.html.in config.status
	perl release/determine_release_state.pl $(DARCS_VERSION)
release/STATE:
	echo -n $(DARCS_VERSION) '(unknown)' > $@
src/Context.hs: stringify
	test -f $@ || echo unknown | ./stringify Context context > $@
endif

darcs-stable.tar.gz: dist
	ln -sf "darcs-$(DARCS_VERSION).tar.gz" $@
.PHONY: darcs-stable.tar.gz

.SUFFIXES:

ghcflags_deslash=$(GHCFLAGS_$(subst /,__,$(1)))
ghcflags_fancy=$(if $(call ghcflags_deslash,$(1)),$(call ghcflags_deslash,$(1)),$(GHCFLAGS))

ifdef VERBOSE
ANNOUNCE_GHC=$(GHC)
else
ANNOUNCE_GHC=@echo [ghc] $@; $(GHC)
endif

%.o : %.lhs
	$(ANNOUNCE_GHC) $(call ghcflags_fancy,$@) -c $<

# stupid rule to do nothing to make a .hi file from a .o file.
%.hi : %.o

%.o : %.hs
	$(ANNOUNCE_GHC) $(call ghcflags_fancy,$@) -c $<
	@touch $*.hi

%.o : %.c
	$(ANNOUNCE_GHC) $(CPPFLAGS) $(OPTCCFLAGS) -c $<

% : src/%.lhs
	rm -f Main.hi Main.o
	$(ANNOUNCE_GHC) $(GHCFLAGS) $(OPTLLDFLAGS) -o $@ $^ $(OPTLLIBS)

% : src/%.hs
	rm -f Main.hi Main.o
	$(ANNOUNCE_GHC) $(GHCFLAGS) $(OPTLLDFLAGS) -o $@ $^ $(OPTLLIBS)

%.hs : %.hsc
	hsc2hs $<

%.hi : %.o
	@:

%.dvi : %.tex
	(cd `dirname $<` && $(LATEX) `basename $<`)
	while grep >/dev/null "Rerun to get cross-references right" $*.log; do \
	    (cd `dirname $<` && $(LATEX) `basename $<`); \
	done


%.pdf : %.tex
	(cd `dirname $<` && $(PDFLATEX) `basename $<`)
	while grep >/dev/null "Rerun to get cross-references right" $*.log; do \
	    (cd `dirname $<` && $(PDFLATEX) `basename $<`); \
	done

%.ps : %.dvi
	$(DVIPS) -t letter -o $@ $<

